Package com.arms.api.requirement.reqadd_pure.controller

## Class ReqAddPureController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ReqAddPure,​ReqAddPureDTO,​ReqAddPureEntity>
  - - com.arms.api.requirement.reqadd_pure.controller.ReqAddPureController

-     @Controller
      @RequestMapping("/arms/reqAddPure")
      public class ReqAddPureController
      extends TreeAbstractController<ReqAddPure,​ReqAddPureDTO,​ReqAddPureEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqAddPureController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity` | `excelUpload​(org.springframework.web.multipart.MultipartFile excelFile, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getFilesByNode​(FileRepositoryDTO fileRepositoryDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getMonitor​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getReqAddListByFilter​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getSwitchDBChildNode​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getSwitchDBChildNodeWithParent​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getSwitchDBNode​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<?>` | `moveReqNode​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `removeReqNode​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `updateDrawDBContents​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `updateDrawIOContents​(java.lang.String changeReqTableName, ReqAddPureDTO reqAddPureDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest, javax.servlet.http.HttpServletRequest request, org.springframework.ui.Model model)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReqAddPureController

          public ReqAddPureController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getMonitor

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getMonitor.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getMonitor​(@PathVariable("changeReqTableName")
                                                                         java.lang.String changeReqTableName,
                                                                         ReqAddPureDTO reqAddPureDTO,
                                                                         org.springframework.ui.ModelMap model,
                                                                         javax.servlet.http.HttpServletRequest request)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSwitchDBChildNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getChildNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getSwitchDBChildNode​(@PathVariable("changeReqTableName")
                                                                                   java.lang.String changeReqTableName,
                                                                                   ReqAddPureDTO reqAddPureDTO,
                                                                                   javax.servlet.http.HttpServletRequest request)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSwitchDBChildNodeWithParent

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getChildNodeWithParent.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getSwitchDBChildNodeWithParent​(@PathVariable("changeReqTableName")
                                                                                             java.lang.String changeReqTableName,
                                                                                             ReqAddPureDTO reqAddPureDTO,
                                                                                             javax.servlet.http.HttpServletRequest request)
                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSwitchDBNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getSwitchDBNode​(@PathVariable("changeReqTableName")
                                                                              java.lang.String changeReqTableName,
                                                                              ReqAddPureDTO reqAddPureDTO,
                                                                              javax.servlet.http.HttpServletRequest request)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqAddListByFilter

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getReqAddListByFilter",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getReqAddListByFilter​(@PathVariable("changeReqTableName")
                                                                                    java.lang.String changeReqTableName,
                                                                                    ReqAddPureDTO reqAddPureDTO,
                                                                                    javax.servlet.http.HttpServletRequest request)
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeReqNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/removeNode.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> removeReqNode​(@PathVariable("changeReqTableName")
                                                                          java.lang.String changeReqTableName,
                                                                          @Validated(UpdateNode.class)
                                                                          ReqAddPureDTO reqAddPureDTO,
                                                                          javax.servlet.http.HttpServletRequest request,
                                                                          org.springframework.validation.BindingResult bindingResult,
                                                                          org.springframework.ui.ModelMap model)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### moveReqNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/moveNode.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> moveReqNode​(@PathVariable("changeReqTableName")
                                                                        java.lang.String changeReqTableName,
                                                                        @Validated(MoveNode.class)
                                                                        ReqAddPureDTO reqAddPureDTO,
                                                                        javax.servlet.http.HttpServletRequest request,
                                                                        org.springframework.validation.BindingResult bindingResult,
                                                                        org.springframework.ui.ModelMap model)
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### uploadFileToNode

          @ResponseBody
          @RequestMapping(value="/uploadFileToNode.do",
                          method=POST)
          public org.springframework.web.servlet.ModelAndView uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest,
                                                                               javax.servlet.http.HttpServletRequest request,
                                                                               org.springframework.ui.Model model)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getFilesByNode

          @ResponseBody
          @RequestMapping(value="/getFilesByNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getFilesByNode​(FileRepositoryDTO fileRepositoryDTO,
                                                                             javax.servlet.http.HttpServletRequest request)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### excelUpload

          @ResponseBody
          @PostMapping("/sample/excel-to-list")
          public org.springframework.http.ResponseEntity excelUpload​(@RequestPart("excelFile")
                                                                     org.springframework.web.multipart.MultipartFile excelFile,
                                                                     javax.servlet.http.HttpServletRequest request)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateDrawIOContents

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateDrawIOContents.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> updateDrawIOContents​(@PathVariable("changeReqTableName")
                                                                                 java.lang.String changeReqTableName,
                                                                                 @Validated(UpdateNode.class)
                                                                                 ReqAddPureDTO reqAddPureDTO,
                                                                                 javax.servlet.http.HttpServletRequest request)
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateDrawDBContents

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateDrawDBContents.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> updateDrawDBContents​(@PathVariable("changeReqTableName")
                                                                                 java.lang.String changeReqTableName,
                                                                                 @Validated(UpdateNode.class)
                                                                                 ReqAddPureDTO reqAddPureDTO,
                                                                                 javax.servlet.http.HttpServletRequest request)
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`